/* Schriftarten */
@font-face {
    font-family: 'TWK Everett';
    src: 
        url('../Schrift/TWKEverett-Bold.woff') format('woff'),
        url('../Schrift/TWKEverett-Bold.woff2') format('woff2');
    font-weight: bold;
}

@font-face {
    font-family: 'TWK Everett';
    src: 
        url('../Schrift/TWKEverett-MediumItalic.woff') format('woff'),
        url('../Schrift/TWKEverett-MediumItalic.woff2') format('woff2');
    font-weight: medium italic;
}
@font-face {
    font-family: 'TWK Everett Medium';
    src: 
        url('../Schrift/TWKEverett-Medium.woff') format('woff'),
        url('../Schrift/TWKEverett-Medium.woff2') format('woff2');
    font-weight: medium;
}

/* Standard: Heller Modus */
body {
    background-color: white;
    color: black;
    transition: background 0.3s, color 0.3s;
}

/* Dark Mode */
body.dark-mode {
    background-color: black;
    color: white;
}

body.dark-mode a {
    color: #fff;
}

.dark-mode nav  a {
    color: #000;
}

body.dark-mode a:hover  {
    color: #ff3a3a;

}
body.dark-mode .nav-links {
    
    background-color: black;
    z-index: 1000;
}
body.dark-mode .nav-links a {
    color: white; /* Navigation Links im Dark Mode - weiß */
}
body.dark-mode .nav-links a:hover {
    color: #ff3a3a; /* Navigation Links im Dark Mode - weiß */
}

body.dark-mode .Plus{
    color: #fff;
}

body.dark-mode .rotating-svg {
    filter: brightness(0) invert(1); /* Weißes Sternchen im Dark Mode */
}

/* Dark Mode Cursor */
body.dark-mode {
    cursor: url('../Schrift/sternchenweiss.png'), auto; /* Weißer Cursor im Dark Mode */
}

.nav-links a {
    cursor: url('../Schrift/cursorweiss.png'), pointer; /* Standardcursor */
}

/* Cursor für Navigation im Dark Mode */
body.dark-mode .nav-links a {
    cursor: url('../Schrift/cursorweiss.png'), pointer; /* Weißer Cursor für Navigation */
}




img {
    width: 100%;
    height: auto;
}

:root {
    font-family: 'TWK Everett Medium';
    font-size: 16px;
}

a {
    text-decoration: none;
    color: #000;
}
a:hover {
    color: #ff3a3a;
    font-style: italic;
    
}
ul {
    list-style-type: none;
}


h2 { 
    font-size: 16px;
    font-weight: 1;
    font-style: normal;
    margin: 0%;
}



main {
    padding-top: 55px;
    padding-left:10px;
}


/* Navigation für große Bildschirme */
.nav-links {
    display: grid;
    grid-template-columns: repeat(5, 1fr);
    
    list-style-type: none;
    justify-content: space-between;
    align-items: start;
    padding: 0;
    margin: 0;
    margin-bottom: 10px;
    padding-left: 20px;

    transition: top 0.3s;

    position: fixed;
    top: 10px;
    left: 0;
    width: 100%;
    background-color: #fff;
    z-index: 1000;
}

.nav-links li {
    position: relative; 
    padding: 0;
    text-align: left;
}

.nav-links a {
    color: #000;
    text-decoration: none;
    
    transition: color 0.3s ease;
    display: block; 
    position: relative; 
}

/* Der Hover-Effekt nur auf das a-Element anwenden */
.nav-links a:hover {
    color: #ff3a3a; 
    transform: translateX(+5px); 
    transition: all 0.3s ease-in-out;
    font-style: italic;
}

.Plus {
    display: none;
}





/* Main-Bereich */

.Spalten {
    display: grid;
    grid-template-columns: repeat(5,1fr);
    grid-gap:10px;
    margin-left: 10px;
    margin-right: 10px;
    
}

.Spalteabout {
    display: grid;
    grid-template-columns: repeat(5,1fr);
    grid-gap:10px;
    margin-left: 10px;
    margin-right: 10px;
    
}

.spalte1 {
    text-align: left;
    hyphens: auto;
    gap: 1.5em;
    grid-column: span 1;
    margin: 0;
    margin-left: -8px;
}

.spalte2 {
    grid-column: 4 /span 2;
    margin-left: 8px;
   
}




/*ABOUT SEITE*/
.Spalte3 {
    grid-column: 3 / span  1;
    margin-left: 5px;
    
}
.Spalterechts{
    grid-column: 4/ span 2;
    margin: 0;
    margin-left: 12px;
}

.Bildemmaabout{
    grid-column: 4/span 2;
    width: 100%;
    margin-left: 12px;

}

.Projekt {
    display: grid;
    grid-template-columns: repeat(5, 1fr);
    margin-left: 8px;
    gap: 10px 10px; /* erster Wert Abstand größer*/
    padding-top: 300px;
}

.Ueberschrift {
    grid-column: 2 / span 1;    
}

.Bild  {
    
    grid-column: 3 / span 3;
    width: 100%;
    height: auto;
    object-fit: contain;
}


/*CONTACT*/
.Bildemma {
    grid-column: 5 / span 1;
}




/*BESCHREIBUNGSTEXT*/

.Projekteinzeln {
    display: grid;
    grid-template-columns: repeat(5, 1fr);
    grid-column: 1 / span 2;
    gap: 10px;
    
}

.Projektname{
    grid-column: 1;
}
.Beschreibung {
    grid-column: 1/  span 2;
}






/* Slider-Container */
.slider {
    position: relative;
    width: 100%;
    overflow: hidden; /* Versteckt überflüssige Bilder */
    grid-column: 3/ span 3;
}

/* Slider-Bilder */
.slider-images {
    display: flex;
    transition: transform 0.5s ease-in-out;
    width: 100%; /* Gesamte Breite dynamisch */
}

.Projektbildslider {
    min-width: 100%; 
    height: auto;
    object-fit: contain;
    object-position: top;
}

/* Unsichtbare Overlay-Flächen */
.slider-overlay {
    position: absolute;
    top: 0;
    height: 100%;
    width: 50%;
    cursor: pointer;
    z-index: 2;

}

.slider-overlay.left {
    left: 0;
}

.slider-overlay.right {
    right: 0;
}





.slider-overlay.left {
    cursor: url('../Schrift/pfeillinks/favicon-32x32.png')8 8, auto;
}

.slider-overlay.right {
    cursor: url('../Schrift/pfeilrechts/favicon-32x32.png')8 8, auto;
}


html {
    scroll-behavior: smooth;
}






/*NAVIGATIONSMENÜ-MOBILE*/

.Plus {
    display: none;
    padding-top: 0;
    margin-top: 0;

}

#meinLogoMobile {
    display: none;
    position: fixed;
    width: 30px;
    top: 10px;
    left: 10px;
}

@media (max-width: 580px) {
    .Plus {
        display: block;
    }
}

body {cursor: url('../Schrift/cursor.png') 8 8,auto;
}

a:hover {cursor: url('../Schrift/sternchen.png') 8 8, auto;

}

.kleinertext {

    font-size: 12px;
}

#zielpunkt {
    height: 50px;
    margin-top: -60px;
    
}

/* MARKIERFARBEN */
::selection { 
    background:#ff3a3a ; color: white;
 }

/* SVG-Wrapper in der Navigation */
.svg-wrapper {
    position: fixed;
    top: 13px; 
    width: 15px; 
    height: 15px; 
    display: flex;
    justify-content: center;
    left: 68px;
    
    z-index: 1000;
}

/* SVG drehen */
.rotating-svg {
    width: 100%; 
    height: 100%;
    animation: rotate 2s linear infinite; 
}

/* Keyframes für die Drehung */
@keyframes rotate {
    0% {
        transform: rotate(0deg);
    }
    100% {
        transform: rotate(360deg);
    }
}

